{
	"name": "table/external/odoo/order/order_row-purchase.json",
	"table_name": "purchase_order_line",
	"odoo_model": "purchase.order.line",
	"table_prefix": "por",
	"record_type": ["purchase"],
	"local_table": "order_row",
	"local_record_type": "purchase",
	"field": [
		{
			"info": "Allowed Uom",
			"field_name": "allowed_uom_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Analytic",
			"field_name": "analytic_distribution",
			"local_field": "",
			"field_type": "json"
		},
		{
			"info": "Analytic JSON",
			"field_name": "analytic_json",
			"local_field": "",
			"field_type": "json"
		},
		{
			"info": "Analytic Precision",
			"field_name": "analytic_precision",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Budget Lines",
			"field_name": "budget_line_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Company",
			"field_name": "company_id",
			"local_field": "json_data.customer_name",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Created on",
			"field_name": "create_date",
			"local_field": "create_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Created by",
			"field_name": "create_uid",
			"local_field": "json_data.create_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Currency",
			"field_name": "currency_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Confirmation Date",
			"field_name": "date_approve",
			"local_field": "",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Order Date\nDepicts the date within which the Quotation should be confirmed and converted into a purchase order.",
			"field_name": "date_order",
			"local_field": "",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Expected Arrival\nDelivery date expected from vendor. This date respectively defaults to vendor pricelist lead time then today's date.",
			"field_name": "date_planned",
			"local_field": "",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Discount (%)",
			"field_name": "discount",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Display Name",
			"field_name": "display_name",
			"local_field": "description",
			"field_type": "varchar"
		},
		{
			"info": "Display Type\nTechnical field for UX purpose.",
			"field_name": "display_type",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Distribution Analytic Account",
			"field_name": "distribution_analytic_account_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Forecasted Issue",
			"field_name": "forecasted_issue",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Procurement group that generated this line",
			"field_name": "group_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "ID",
			"field_name": "id",
			"local_field": "record_id",
			"field_type": "integer",
			"constraint": ["primary key"]
		},
		{
			"info": "Bill Lines",
			"field_name": "invoice_lines",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Is Above Budget",
			"field_name": "is_above_budget",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Is Downpayment",
			"field_name": "is_downpayment",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Track Inventory\nA storable product is a product for which you manage stock.",
			"field_name": "is_storable",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Location from procurement",
			"field_name": "location_final_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Downstream Moves",
			"field_name": "move_dest_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Reservation",
			"field_name": "move_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Description",
			"field_name": "name",
			"local_field": "json_data.product_name",
			"field_type": "text"
		},
		{
			"info": "Order Reference",
			"field_name": "order_id",
			"local_field": "order_id",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[2]"
		},
		{
			"info": "Orderpoint",
			"field_name": "orderpoint_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Partner\nYou can find a vendor by its Name, TIN, Email or Internal Reference.",
			"field_name": "partner_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Subtotal",
			"field_name": "price_subtotal",
			"local_field": "price_without_vat",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Tax",
			"field_name": "price_tax",
			"local_field": "vat_price",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Total",
			"field_name": "price_total",
			"local_field": "price_with_vat",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Unit Price",
			"field_name": "price_unit",
			"local_field": "unit_price",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Unit Price (Discounted)",
			"field_name": "price_unit_discounted",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Custom Description",
			"field_name": "product_description_variants",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Product",
			"field_name": "product_id",
			"local_field": "product_id",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Product attribute values that do not create variants",
			"field_name": "product_no_variant_attribute_value_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Packaging",
			"field_name": "product_packaging_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Packaging Quantity",
			"field_name": "product_packaging_qty",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Quantity",
			"field_name": "product_qty",
			"local_field": "json_data.unit_total",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Attribute Values",
			"field_name": "product_template_attribute_value_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Product Type\nA storable product is a product for which you manage stock. The Inventory app has to be installed.\nA consumable product is a product for which stock is not managed.\nA service is a non-material product you provide.",
			"field_name": "product_type",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Unit of Measure",
			"field_name": "product_uom",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Category\nConversion between Units of Measure can only occur if they belong to the same category. The conversion will be made based on the ratios.",
			"field_name": "product_uom_category_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Unit",
			"field_name": "product_uom_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Total Quantity",
			"field_name": "product_uom_qty",
			"local_field": "order_amount",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Propagate cancellation",
			"field_name": "propagate_cancel",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Billed Qty",
			"field_name": "qty_invoiced",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Received Qty",
			"field_name": "qty_received",
			"local_field": "delivery_amount",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Manual Received Qty",
			"field_name": "qty_received_manual",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Received Qty Method\nAccording to product configuration, the received quantity can be automatically computed by mechanism :\n  - Manual: the quantity is set manually on the line\n  - Stock Moves: the quantity comes from confirmed pickings\n",
			"field_name": "qty_received_method",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "To Invoice Quantity",
			"field_name": "qty_to_invoice",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Origin Sale Item",
			"field_name": "sale_line_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Sale Order",
			"field_name": "sale_order_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Sequence",
			"field_name": "sequence",
			"local_field": "row_number",
			"field_type": "integer"
		},
		{
			"info": "Status",
			"field_name": "state",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Tax calculation rounding method",
			"field_name": "tax_calculation_rounding_method",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Taxes",
			"field_name": "tax_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Taxes",
			"field_name": "taxes_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Last Updated on",
			"field_name": "write_date",
			"local_field": "modify_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Last Updated by",
			"field_name": "write_uid",
			"local_field": "modify_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		}
	]
}
